
#ifndef DRN_FOUNDATION_EXPORT_H
#define DRN_FOUNDATION_EXPORT_H

#ifdef DRN_FOUNDATION_STATIC_DEFINE
#  define DRN_FOUNDATION_EXPORT
#  define DRN_FOUNDATION_NO_EXPORT
#else
#  ifndef DRN_FOUNDATION_EXPORT
#    ifdef foundation_EXPORTS
        /* We are building this library */
#      define DRN_FOUNDATION_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_FOUNDATION_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_FOUNDATION_NO_EXPORT
#    define DRN_FOUNDATION_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_FOUNDATION_DEPRECATED
#  define DRN_FOUNDATION_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_FOUNDATION_DEPRECATED_EXPORT
#  define DRN_FOUNDATION_DEPRECATED_EXPORT DRN_FOUNDATION_EXPORT DRN_FOUNDATION_DEPRECATED
#endif

#ifndef DRN_FOUNDATION_DEPRECATED_NO_EXPORT
#  define DRN_FOUNDATION_DEPRECATED_NO_EXPORT DRN_FOUNDATION_NO_EXPORT DRN_FOUNDATION_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_FOUNDATION_NO_DEPRECATED
#    define DRN_FOUNDATION_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_FOUNDATION_EXPORT_H */
