
#ifndef DRN_NAVIGATION_EXPORT_H
#define DRN_NAVIGATION_EXPORT_H

#ifdef DRN_NAVIGATION_STATIC_DEFINE
#  define DRN_NAVIGATION_EXPORT
#  define DRN_NAVIGATION_NO_EXPORT
#else
#  ifndef DRN_NAVIGATION_EXPORT
#    ifdef navigation_EXPORTS
        /* We are building this library */
#      define DRN_NAVIGATION_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_NAVIGATION_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_NAVIGATION_NO_EXPORT
#    define DRN_NAVIGATION_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_NAVIGATION_DEPRECATED
#  define DRN_NAVIGATION_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_NAVIGATION_DEPRECATED_EXPORT
#  define DRN_NAVIGATION_DEPRECATED_EXPORT DRN_NAVIGATION_EXPORT DRN_NAVIGATION_DEPRECATED
#endif

#ifndef DRN_NAVIGATION_DEPRECATED_NO_EXPORT
#  define DRN_NAVIGATION_DEPRECATED_NO_EXPORT DRN_NAVIGATION_NO_EXPORT DRN_NAVIGATION_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_NAVIGATION_NO_DEPRECATED
#    define DRN_NAVIGATION_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_NAVIGATION_EXPORT_H */
