
#ifndef DRN_SURVEYING_EXPORT_H
#define DRN_SURVEYING_EXPORT_H

#ifdef DRN_SURVEYING_STATIC_DEFINE
#  define DRN_SURVEYING_EXPORT
#  define DRN_SURVEYING_NO_EXPORT
#else
#  ifndef DRN_SURVEYING_EXPORT
#    ifdef surveying_EXPORTS
        /* We are building this library */
#      define DRN_SURVEYING_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_SURVEYING_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_SURVEYING_NO_EXPORT
#    define DRN_SURVEYING_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_SURVEYING_DEPRECATED
#  define DRN_SURVEYING_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_SURVEYING_DEPRECATED_EXPORT
#  define DRN_SURVEYING_DEPRECATED_EXPORT DRN_SURVEYING_EXPORT DRN_SURVEYING_DEPRECATED
#endif

#ifndef DRN_SURVEYING_DEPRECATED_NO_EXPORT
#  define DRN_SURVEYING_DEPRECATED_NO_EXPORT DRN_SURVEYING_NO_EXPORT DRN_SURVEYING_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_SURVEYING_NO_DEPRECATED
#    define DRN_SURVEYING_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_SURVEYING_EXPORT_H */
