
#ifndef DRN_BANKING_EXPORT_H
#define DRN_BANKING_EXPORT_H

#ifdef DRN_BANKING_STATIC_DEFINE
#  define DRN_BANKING_EXPORT
#  define DRN_BANKING_NO_EXPORT
#else
#  ifndef DRN_BANKING_EXPORT
#    ifdef banking_EXPORTS
        /* We are building this library */
#      define DRN_BANKING_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_BANKING_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_BANKING_NO_EXPORT
#    define DRN_BANKING_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_BANKING_DEPRECATED
#  define DRN_BANKING_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_BANKING_DEPRECATED_EXPORT
#  define DRN_BANKING_DEPRECATED_EXPORT DRN_BANKING_EXPORT DRN_BANKING_DEPRECATED
#endif

#ifndef DRN_BANKING_DEPRECATED_NO_EXPORT
#  define DRN_BANKING_DEPRECATED_NO_EXPORT DRN_BANKING_NO_EXPORT DRN_BANKING_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_BANKING_NO_DEPRECATED
#    define DRN_BANKING_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_BANKING_EXPORT_H */
