
#ifndef DRN_DESKTOP_UI_EXPORT_H
#define DRN_DESKTOP_UI_EXPORT_H

#ifdef DRN_DESKTOP_UI_STATIC_DEFINE
#  define DRN_DESKTOP_UI_EXPORT
#  define DRN_DESKTOP_UI_NO_EXPORT
#else
#  ifndef DRN_DESKTOP_UI_EXPORT
#    ifdef desktop_ui_EXPORTS
        /* We are building this library */
#      define DRN_DESKTOP_UI_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_DESKTOP_UI_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_DESKTOP_UI_NO_EXPORT
#    define DRN_DESKTOP_UI_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_DESKTOP_UI_DEPRECATED
#  define DRN_DESKTOP_UI_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_DESKTOP_UI_DEPRECATED_EXPORT
#  define DRN_DESKTOP_UI_DEPRECATED_EXPORT DRN_DESKTOP_UI_EXPORT DRN_DESKTOP_UI_DEPRECATED
#endif

#ifndef DRN_DESKTOP_UI_DEPRECATED_NO_EXPORT
#  define DRN_DESKTOP_UI_DEPRECATED_NO_EXPORT DRN_DESKTOP_UI_NO_EXPORT DRN_DESKTOP_UI_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_DESKTOP_UI_NO_DEPRECATED
#    define DRN_DESKTOP_UI_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_DESKTOP_UI_EXPORT_H */
