
#ifndef DRN_NETWORKING_EXPORT_H
#define DRN_NETWORKING_EXPORT_H

#ifdef DRN_NETWORKING_STATIC_DEFINE
#  define DRN_NETWORKING_EXPORT
#  define DRN_NETWORKING_NO_EXPORT
#else
#  ifndef DRN_NETWORKING_EXPORT
#    ifdef networking_EXPORTS
        /* We are building this library */
#      define DRN_NETWORKING_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_NETWORKING_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_NETWORKING_NO_EXPORT
#    define DRN_NETWORKING_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_NETWORKING_DEPRECATED
#  define DRN_NETWORKING_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_NETWORKING_DEPRECATED_EXPORT
#  define DRN_NETWORKING_DEPRECATED_EXPORT DRN_NETWORKING_EXPORT DRN_NETWORKING_DEPRECATED
#endif

#ifndef DRN_NETWORKING_DEPRECATED_NO_EXPORT
#  define DRN_NETWORKING_DEPRECATED_NO_EXPORT DRN_NETWORKING_NO_EXPORT DRN_NETWORKING_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_NETWORKING_NO_DEPRECATED
#    define DRN_NETWORKING_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_NETWORKING_EXPORT_H */
