
#ifndef DRN_STORAGE_EXPORT_H
#define DRN_STORAGE_EXPORT_H

#ifdef DRN_STORAGE_STATIC_DEFINE
#  define DRN_STORAGE_EXPORT
#  define DRN_STORAGE_NO_EXPORT
#else
#  ifndef DRN_STORAGE_EXPORT
#    ifdef storage_EXPORTS
        /* We are building this library */
#      define DRN_STORAGE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_STORAGE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_STORAGE_NO_EXPORT
#    define DRN_STORAGE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_STORAGE_DEPRECATED
#  define DRN_STORAGE_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_STORAGE_DEPRECATED_EXPORT
#  define DRN_STORAGE_DEPRECATED_EXPORT DRN_STORAGE_EXPORT DRN_STORAGE_DEPRECATED
#endif

#ifndef DRN_STORAGE_DEPRECATED_NO_EXPORT
#  define DRN_STORAGE_DEPRECATED_NO_EXPORT DRN_STORAGE_NO_EXPORT DRN_STORAGE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_STORAGE_NO_DEPRECATED
#    define DRN_STORAGE_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_STORAGE_EXPORT_H */
